import { useState } from 'react';
import { extractFormData } from '../utils';

export const useForm = (initialFormData: any) => {
  const [formData, setFormData] = useState<any>(initialFormData);

  const setStoredFormData = ({ currentTarget }: any) => {
    setFormData(extractFormData(currentTarget));
  };

  return [formData, setStoredFormData];
};
